Bug 1386512 - clarify remote nodes terminology
Summary: clarify remote nodes terminology
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: pcs
Version: 7.3
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: rc
: ---
Assignee: Ivan Devat
QA Contact: cluster-qe@redhat.com
Steven J. Levine
URL:
Whiteboard:
Depends On:
Blocks: 1465152
TreeView+ depends on / blocked
 
Reported: 2016-10-19 07:06 UTC by Tomas Jelinek
Modified: 2017-08-01 18:24 UTC (History)
7 users (show)

Fixed In Version: pcs-0.9.158-2.el7
Doc Type: Release Note
Doc Text:
Feature: Clarify remote nodes terminology. Reason: Used terms do not match with the terminology in pacemaker. Result: New commands match with the terminology in pacemaker (remote node vs guest node). Confusing commands that did not match with the terminology in pacemaker were marked as deprecated.
Clone Of:
: 1465152 (view as bug list)
Environment:
Last Closed: 2017-08-01 18:24:40 UTC
Target Upstream Version:


Attachments (Terms of Use)
proposed fix (part1) (388.08 KB, patch)
2017-05-25 08:48 UTC, Ivan Devat
no flags Details | Diff
proposed fix (part2) (130.59 KB, patch)
2017-05-25 08:49 UTC, Ivan Devat
no flags Details | Diff
proposed fix (part3) (266.66 KB, patch)
2017-05-25 08:55 UTC, Ivan Devat
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1176018 'urgent' 'CLOSED' 'pcs/pcsd should be able to configure pacemaker remote' 2019-11-27 23:30:04 UTC
Red Hat Product Errata RHBA-2017:1958 normal SHIPPED_LIVE pcs bug fix and enhancement update 2017-08-01 18:09:47 UTC

Internal Links: 1176018

Description Tomas Jelinek 2016-10-19 07:06:50 UTC
from a mail thread about remote nodes:

Ken Gaillot:
Part of the issue here is terminology; "remote" is used to refer to both
ocf:pacemaker:remote resources and VirtualDomain resources with remote-node.

Upstream is moving to clarify this by using "remote node" only to refer
to ocf:pacemaker:remote, and "guest node" to refer to VirtualDomain with
remote-node. This is mostly complete at a user-visible level, with the
main exception being the remote-node meta-attribute itself.

So, pcs's remote-node command is actually becoming more confusing, in
that it only applies (in upstream's terms) to guest nodes and not remote
nodes.

Perhaps it would be a good idea to rename pcs's command to guest-node,
and leave remote-node as a hidden, deprecated alias.




We want to rename the commands and probably improve their documentation.
We should also think about displaying status of nodes, listing remote and guest nodes in their respective categories.
Consider if it is needed to do changes to some other commands in order to clarify the situation.

Comment 2 Ivan Devat 2017-05-25 08:48:59 UTC
Created attachment 1282156 [details]
proposed fix (part1)

Comment 3 Ivan Devat 2017-05-25 08:49:26 UTC
Created attachment 1282157 [details]
proposed fix (part2)

Comment 4 Ivan Devat 2017-05-25 08:55:26 UTC
Created attachment 1282159 [details]
proposed fix (part3)

Comment 5 Tomas Jelinek 2017-05-26 11:35:51 UTC
After fix:

`pcs cluster remote-node add` and `pcs cluster remote-node remove `commands have been deprecated. They were in fact managing guest nodes, so they were replaced with `pcs cluster node add-guest` and `pcs cluster node remove-guest` commands. The deprecated commands have been removed from man page and usage but are still available in pcs.

`pcs cluster node add-remote` and `pcs cluster node remove-remote` commands have been added. These commands manage remote nodes (ocf:pacemaker:remote).

Comment 7 Steven J. Levine 2017-06-09 21:44:38 UTC
Tomas:

Do you think that for the purpose of a release note description we could combine this description with the description in BZ#1176018 -- the BZ about the new commands to add and remove remote nodes?  It seems as though anybody who needs to know this would need to have both pieces of information.

Steven

Comment 8 Tomas Jelinek 2017-06-12 07:19:28 UTC
Steven:

Yes, this bz's doc should be definitely merged with doc of BZ#1176018.

Comment 10 Radek Steiger 2017-06-22 15:39:41 UTC
A note: While the new pcs version recognizes the old syntax for backwards compatibility, it will ask for the --force flag to perform the requested command so any script using the old syntax will have to be amended anyway:

[root@localhost ~]# pcs cluster remote-node add Node9 Resource
Error: this command is deprecated, use 'pcs cluster node add-guest', use --force to override

Comment 11 errata-xmlrpc 2017-08-01 18:24:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:1958


Note You need to log in before you can comment on or make changes to this bug.